CREATE TABLE hts_event_processing_queue (
    EVENT_PROCESSING_QUEUE_ID    NUMBER(18, 0) ,
    PERSON_ID                    NUMBER(18, 0)     NOT NULL,
    ASSIGNMENT_ID                NUMBER(18, 0)     NOT NULL,
    EVENT_CHANGE_ID              NUMBER(18, 0)     NOT NULL,
    EVENT_EFFECTIVE_DATE         DATE              NOT NULL,
    EVENT_DML_OPERATION          VARCHAR2(960)     NOT NULL,
    PROCESSING_STATUS            VARCHAR2(120)     NOT NULL,
    POLLED_ESS_REQUEST_ID        NUMBER(18, 0)     NOT NULL,
    PROCESSED_ESS_REQUEST_ID     NUMBER(18, 0) ,
    PROCESS_LOGS                 VARCHAR2(4000),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    ENTERPRISE_ID                NUMBER(18, 0)     NOT NULL,
    EVENT_PROCESSING_QUEUE_ID    NUMBER(18, 0) ,
    PERSON_ID                    NUMBER(18, 0)     NOT NULL,
    ASSIGNMENT_ID                NUMBER(18, 0)     NOT NULL,
    EVENT_CHANGE_ID              NUMBER(18, 0)     NOT NULL,
    EVENT_EFFECTIVE_DATE         DATE              NOT NULL,
    EVENT_DML_OPERATION          VARCHAR2(960)     NOT NULL,
    PROCESSING_STATUS            VARCHAR2(120)     NOT NULL,
    POLLED_ESS_REQUEST_ID        NUMBER(18, 0)     NOT NULL,
    PROCESSED_ESS_REQUEST_ID     NUMBER(18, 0) ,
    PROCESS_LOGS                 VARCHAR2(4000),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    ENTERPRISE_ID                NUMBER(18, 0)     NOT NULL,
    CONSTRAINT pk_hts_event_processing_queue PRIMARY KEY (EVENT_PROCESSING_QUEUE_ID, EVENT_PROCESSING_QUEUE_ID)
);
